(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      9858,        395]
NotebookOptionsPosition[      8278,        334]
NotebookOutlinePosition[      8800,        356]
CellTagsIndexPosition[      8757,        353]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[StyleBox["Vitesse moyenne et vitesse instantan\[EAcute]e",
 FontFamily->"Lucida Grande"]], "H1",
 FontSize->24],

Cell["D\[EAcute]finissons l'horaire du mobile :", "Text",
 FontFamily->"Lucida Grande",
 FontSize->14],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x0", ",", "y0"}], "}"}], "+", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vx0", ",", "vy0"}], "}"}], "t"}], "+", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"ax0", ",", "ay0"}], "}"}], 
    RowBox[{"t", "^", "2"}]}]}]}]], "Input",
 FontSize->16],

Cell["\<\
Calculons les coordonn\[EAcute]es du vecteur position pour les valeurs \
suivantes :\
\>", "Text",
 FontFamily->"Lucida Grande",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[{
 StyleBox[
  RowBox[{
   RowBox[{"x0", "=", "0"}], ";"}],
  FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"y0", "=", "0"}], ";"}],
  FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"vx0", "=", 
    RowBox[{"-", "1"}]}], ";"}],
  FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"vy0", "=", "1"}], ";"}],
  FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"ax0", "=", "2"}], ";"}],
  FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"ay0", "=", "0"}], ";"}],
  FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"tmin", "=", "2"}], ";"}],
  FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{
    RowBox[{"tmax", "=", " ", "2.01"}], ";"}],
   FontColor->RGBColor[0, 0, 1]], 
  StyleBox[" ",
   FontColor->RGBColor[0, 0, 1]], 
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{"temps", " ", "de", " ", "simulation"}], " ", "*)"}],
   FontColor->RGBColor[0, 0, 1]]}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{
    RowBox[{"\[CapitalDelta]t", "=", "0.01"}], ";"}],
   FontColor->RGBColor[0, 0, 1]], 
  StyleBox["  ",
   FontColor->RGBColor[0, 0, 1]], 
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{
    "intervalle", " ", "de", " ", "temps", " ", "entre", " ", "deux", " ", 
     "positions", " ", "successives"}], " ", "*)"}],
   FontColor->RGBColor[0, 0, 1]]}], "\[IndentingNewLine]", 
 RowBox[{"coord", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"r", "[", "t", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "tmin", ",", "tmax", ",", "\[CapitalDelta]t"}], 
     "}"}]}], "]"}]}]}], "Input",
 FontSize->16],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"6.`", ",", "2.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.070199999999998`", ",", "2.01`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6930458206078033`*^9, 3.693045861179781*^9, 
  3.693045979871101*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Approximation",
 FontFamily->"Lucida Grande"]], "H6",
 FontSize->16],

Cell[TextData[{
 "Calculons les composantes ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["v", "x"],
    FontSlant->"Italic"], TextForm]]],
 " = ",
 "\[CapitalDelta]",
 StyleBox["x",
  FontSlant->"Italic"],
 "/",
 "\[CapitalDelta]",
 StyleBox["t",
  FontSlant->"Italic"],
 " du vecteur vitesse :"
}], "Text",
 FontFamily->"Lucida Grande",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{"Apply", "[", 
    RowBox[{"Subtract", ",", 
     RowBox[{"Partition", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Transpose", "[", "coord", "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "2", ",", "1"}], "]"}], ",", 
     "1"}], "]"}]}], "/", "\[CapitalDelta]t"}]], "Input",
 FontSize->16],

Cell[BoxData[
 RowBox[{"{", "7.019999999999804`", "}"}]], "Output",
 CellChangeTimes->{3.693045820705838*^9, 3.693045861221582*^9, 
  3.6930459799263*^9}]
}, Open  ]],

Cell[TextData[{
 "Calculons les composantes ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["v", "y"],
    FontSlant->"Italic"], TextForm]]],
 " = ",
 "\[CapitalDelta]",
 StyleBox["y",
  FontSlant->"Italic"],
 "/",
 "\[CapitalDelta]",
 StyleBox["t",
  FontSlant->"Italic"],
 " du vecteur vitesse :"
}], "Text",
 FontFamily->"Lucida Grande",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{"Apply", "[", 
    RowBox[{"Subtract", ",", 
     RowBox[{"Partition", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Transpose", "[", "coord", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", "2", ",", "1"}], "]"}], ",", 
     "1"}], "]"}]}], "/", "\[CapitalDelta]t"}]], "Input",
 FontSize->16],

Cell[BoxData[
 RowBox[{"{", "0.9999999999999787`", "}"}]], "Output",
 CellChangeTimes->{3.6930458208527813`*^9, 3.6930458612860813`*^9, 
  3.693045979977768*^9}]
}, Open  ]],

Cell[TextData[{
 "Regroupons ces composantes sous la forme {",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["v", "x"],
    FontSlant->"Italic"], TextForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["v", "y"],
    FontSlant->"Italic"], TextForm]]],
 "} :"
}], "Text",
 FontFamily->"Lucida Grande",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Transpose", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"Apply", "[", 
       RowBox[{"Subtract", ",", 
        RowBox[{"Partition", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Transpose", "[", "coord", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "2", ",", "1"}], "]"}], ",", 
        "1"}], "]"}]}], "/", "\[CapitalDelta]t"}], ",", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"Apply", "[", 
       RowBox[{"Subtract", ",", 
        RowBox[{"Partition", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Transpose", "[", "coord", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "2", ",", "1"}], "]"}], ",", 
        "1"}], "]"}]}], "/", "\[CapitalDelta]t"}]}], "}"}], "]"}]], "Input",
 FontSize->16],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"7.019999999999804`", ",", "0.9999999999999787`"}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.693045821051943*^9, 3.693045861329535*^9, 
  3.6930459800416183`*^9}]
}, Open  ]],

Cell["Calculons la grandeur du vecteur vitesse :", "Text",
 FontFamily->"Lucida Grande",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"v", "=", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"#", ".", "#"}], "]"}], "&"}], ",", "%"}], "]"}]}]], "Input",
 FontSize->16],

Cell[BoxData[
 RowBox[{"{", "7.0908673658444075`", "}"}]], "Output",
 CellChangeTimes->{3.693045821162232*^9, 3.6930458613643703`*^9, 
  3.6930459800915937`*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["N. B.",
  FontWeight->"Bold"],
 " Ces grandeurs correspondent \[AGrave] des vitesses moyennes sur un \
intervalle de temps  ",
 "\[CapitalDelta]",
 StyleBox["t.",
  FontSlant->"Italic"]
}], "Text",
 FontFamily->"Lucida Grande",
 FontSize->14]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Calcul exact",
 FontFamily->"Lucida Grande"]], "H6",
 FontSize->16],

Cell["\<\
Utilisons la d\[EAcute]riv\[EAcute]e de l'horaire pour calculer la vitesse \
instantan\[EAcute]e:\
\>", "Text",
 FontFamily->"Lucida Grande",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"r", "'"}], "[", "2", "]"}]], "Input",
 FontSize->16],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"7", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.693045821258356*^9, 3.693045861397469*^9, 
  3.6930459801584587`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{"RulerBar", "EditBar"},
WindowSize->{883, 719},
WindowMargins->{{456, Automatic}, {Automatic, 199}},
ShowSelection->True,
ShowCellLabel->False,
CellLabelAutoDelete->True,
Magnification->1,
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 28, \
2016)",
StyleDefinitions->"HTML.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 125, 2, 132, "H1"],
Cell[708, 26, 102, 2, 37, "Text"],
Cell[813, 30, 351, 13, 37, "Input"],
Cell[1167, 45, 153, 5, 37, "Text"],
Cell[CellGroupData[{
Cell[1345, 54, 1825, 61, 272, "Input"],
Cell[3173, 117, 287, 8, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3497, 130, 92, 2, 66, "H6"],
Cell[3592, 134, 366, 18, 39, "Text"],
Cell[CellGroupData[{
Cell[3983, 156, 362, 11, 37, "Input"],
Cell[4348, 169, 154, 3, 40, "Output"]
}, Open  ]],
Cell[4517, 175, 366, 18, 41, "Text"],
Cell[CellGroupData[{
Cell[4908, 197, 362, 11, 37, "Input"],
Cell[5273, 210, 161, 3, 40, "Output"]
}, Open  ]],
Cell[5449, 216, 345, 16, 41, "Text"],
Cell[CellGroupData[{
Cell[5819, 236, 824, 24, 64, "Input"],
Cell[6646, 262, 226, 6, 40, "Output"]
}, Open  ]],
Cell[6887, 271, 103, 2, 37, "Text"],
Cell[CellGroupData[{
Cell[7015, 277, 199, 7, 37, "Input"],
Cell[7217, 286, 161, 3, 40, "Output"]
}, Open  ]],
Cell[7393, 292, 269, 10, 37, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7699, 307, 91, 2, 66, "H6"],
Cell[7793, 311, 166, 5, 37, "Text"],
Cell[CellGroupData[{
Cell[7984, 320, 87, 3, 37, "Input"],
Cell[8074, 325, 164, 4, 98, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

